
Generic attributes examples

generic_attribs - Example using ATTR# semantics in a vertex shader
  to assign generic attribtues to vertex shader varyings.

Instructions:
  ' ' (space) toggle keyframe animation
  Left mouse rotates viewer.
  'g' toggles latest assembly profile and GLSL.
  'f' toggles interpolated color and modulate texture decal fragment shaders.
  'v' toggles keyframe pass through and keyframe lighting.
  Middle mouse rotates light (when keyframe lighting).
  'd' dumps current compiled vertex and fragemnt programs.

Command line options:
  -glsl -- start in GLSL mode, default is latest assembly profile.
  -lit -- start in lighting mode
  -v -- verbose
